
/*
    Copyright (C) 2012 NewestTools.com(AlexLe)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/


#ifndef _NEW_CLIP_SERVICE_H_
#define _NEW_CLIP_SERVICE_H_


#define VBOX_SHARED_CFH_BASE (0x10000)

#define VBOX_SHARED_CFH_BEGIN                     ( VBOX_SHARED_CFH_BASE )
#define VBOX_SHARED_CFH_BEGIN_CPARAMS 3


#define VBOX_SHARED_CFH_GET_BUILDING_LIST_STATUS ( VBOX_SHARED_CFH_BASE + 1 )
#define VBOX_SHARED_CFH_GET_BUILDING_LIST_STATUS_CPARAMS 3


#define VBOX_SHARED_CFH_GETCURRENTFILENAME ( VBOX_SHARED_CFH_BASE + 2 )
#define VBOX_SHARED_CFH_GETCURRENTFILENAME_CPARAMS 3

#define VBOX_SHARED_CFH_GET_CURRENTSTREAM ( VBOX_SHARED_CFH_BASE + 3 )
#define VBOX_SHARED_CFH_GET_CURRENTSTREAM_CPARAMS 5

#define VBOX_SHARED_CFH_END ( VBOX_SHARED_CFH_BASE + 4 )
#define VBOX_SHARED_CFH_END_CPARAMS 2

#define VBOX_SHARED_MOVE_TO_NEXT_ITEM ( VBOX_SHARED_CFH_BASE + 5 )
#define VBOX_SHARED_MOVE_TO_NEXT_ITEM_CPARAMS 3

#define VBOX_SHARED_HSM_PACKET_GUEST_CLIPBOARD_HAS_FILES ( VBOX_SHARED_CFH_BASE + 6 )
#define VBOX_SHARED_HSM_PACKET_GUEST_CLIPBOARD_HAS_FILES_CPARAMS 2 //MajorMinorVer, 64bit

#define VBOX_SHARED_HSM_PACKET_WAIT_INPUT_FOR_GUEST_SERVER ( VBOX_SHARED_CFH_BASE + 7 )
#define VBOX_SHARED_HSM_PACKET_WAIT_INPUT_FOR_GUEST_SERVER_CPARAMS 4

#define VBOX_SHARED_HSM_PACKET_SEND_OUTPUT_FROM_SERVER ( VBOX_SHARED_CFH_BASE + 8 )
#define VBOX_SHARED_HSM_PACKET_SEND_OUTPUT_FROM_SERVER_CPARAMS 3

#define VBOX_SHARED_GET_VERSION ( VBOX_SHARED_CFH_BASE + 9 )
#define VBOX_SHARED_GET_VERSION_CPARAMS 1

#define VBOX_SHARED_GET_DROPPED_FILES_LIST ( VBOX_SHARED_CFH_BASE + 10 )
#define VBOX_SHARED_GET_DROPPED_FILES_LIST_CPARAMS (3) //IN u32DropHandle, OUT Ptr<FileListBuff>, OUT u32CopiedBytes


#endif //_NEW_CLIP_SERVICE_H_

